# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.93"
name = "rik"
version = "0.2.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Find markers in your files and replace them with LLM-generated content"
readme = "README.md"
keywords = [
    "ai",
    "agent",
    "code-generation",
    "marker",
    "llm",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/exlee/rik"

[[bin]]
name = "rik"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.ctrlc]
version = "3.5.2"

[dependencies.dirs]
version = "6"

[dependencies.futures]
version = "0.3"

[dependencies.glob]
version = "0.3"

[dependencies.ignore]
version = "0.4"

[dependencies.notify]
version = "8"

[dependencies.rand]
version = "0.10.1"

[dependencies.rig]
version = "0.37.0"
features = ["derive"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tempfile]
version = "3"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.52.3"
features = ["full"]

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dev-dependencies.tempfile]
version = "3"

[target."cfg(unix)".dependencies.libc]
version = "0.2"
